<!doctype html>
<html>
<head>
    <title>TorCheck rewritten and relaunched! | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="TorCheck rewritten and relaunched! | Tor Project">
    <meta property="og:description" content="Nick encouraged me to rewrite TorCheck in Python. Roger encouraged me to automatically translate...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/torcheck-rewritten-and-relaunched/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        TorCheck rewritten and relaunched!
      </h1>
    <p class="meta">by ioerror | May 1, 2008</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Nick encouraged me to rewrite TorCheck in Python. Roger encouraged me to automatically translate TorCheck messages into a given locale when specifically requested. This is finished, reasonably stable and live right now.</p>

<p>As usual, TorCheck queries the <a href="http://exitlist.torproject.org/" rel="nofollow">TorDNSEL</a> to determine if the visitor is possibly using a proper Tor exit node.</p>

<p>As an added bonus, TorCheck is now localized with useful information in <a href="//check.torproject.org/?lang=pt_BR" rel="nofollow">Brazilian Portuguese</a>, <a href="https://check.torproject.org/?lang=zh_CN" rel="nofollow">Chinese</a>, <a href="//check.torproject.org/?lang=en_US" rel="nofollow">English</a>, <a href="//check.torproject.org/?lang=de" rel="nofollow">German</a>, <a href="//check.torproject.org/?lang=fa_IR" rel="nofollow">Farsi</a>, <a href="//check.torproject.org/?lang=ja" rel="nofollow">Japanese</a>, <a href="https://check.torproject.org/?lang=pl" rel="nofollow">Polish</a> and <a href="https://check.torproject.org/?lang=es_ES" rel="nofollow">Spanish</a>.</p>

<p>Users of the <a href="https://www.torproject.org/torbrowser/" rel="nofollow">TorBrowser </a> will now automatically have a fully translated browsing experience. Any other user can simply select the proper ISO 3166 Code for their country and make a GET request with a properly set LANG query string as linked above. There's a good chance that your locale will be supported in the future if it isn't already.</p>

<p>If you'd like to pitch in and translate TorCheck into your locale, we'd love the help! Feel free to <a href="https://tor-svn.freehaven.net/svn/check/trunk/i18n/" rel="nofollow">check the translations directory for current translations</a> and see if your locale has been translated. If you'd like to add a locale we haven't translated, download a copy of <a href="https://tor-svn.freehaven.net/svn/check/trunk/i18n/TorCheck.pot" rel="nofollow">the PO template file</a> and translate away!</p>

<p>Give the new <a href="https://check.torproject.org" rel="nofollow">TorCheck</a> a try today!</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/localization">
          localization
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-46"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-46" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 01, 2008</p>
    </div>
    <a href="#comment-46">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-46" class="permalink" rel="bookmark">Thanks</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for giving us your time and gifting us with this great post and lets not forget torcheck!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2958"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2958" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 27, 2009</p>
    </div>
    <a href="#comment-2958">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2958" class="permalink" rel="bookmark">Thanks</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for sharing your wonderful artical.thanks for your great job for democracy<br />
<a href="http://www.tiffanyonlinestore.co.uk/" rel="nofollow"><strong>tiffany jewelry</strong></a>~<br />
<a href="http://www.buyreplicawatch.com/" rel="nofollow"><strong>replica watches</strong></a></p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
